Bug 892216 (sdk-1.15)

Release Add-on SDK 1.15

RESOLVED FIXED

Status

P1
normal
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: canuckistani, Assigned: canuckistani)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(URL)

We need to release a new version of the SDK that ( if nothing else ) no longer bundles the SDK's modules by default.
Depends on: 892193
Priority: -- → P1
This is also extremely urgant because the 1.14 release doesn't support current versions.. the maxVersion supported by 1.14 was Fx20.
As discussed in today's Jetpack meeting, we are meeting tomorrow afternoon to plan this release wrt scope and timing.
I think bug 892216 should block this.
(In reply to Erik Vold [:erikvold] [:ztatic] from comment #3)
> I think bug 892216 should block this.

Oops I meant bug 900340, a bug can't block itself :/
bug 900342 should block this too I think.
I think bug 900599 should block this too.
OS: Mac OS X → All
Hardware: x86 → All
Erik - the conclusion of the scoping discussion yesterday was that we would only invert the default behaviour. Given that, is it really important these are removed?

I realize these are very trivial changes - just making sure we're doing the minimum possible amount of work so we can turn around a release as quickly as possible.
(In reply to Jeff Griffiths (:canuckistani) from comment #7)
> Erik - the conclusion of the scoping discussion yesterday was that we would
> only invert the default behaviour. Given that, is it really important these
> are removed?
> 
> I realize these are very trivial changes - just making sure we're doing the
> minimum possible amount of work so we can turn around a release as quickly
> as possible.

Just making sure we understand what it is that we are leaving out.  I am being a perfectionist, but I don't want to be made the enemy of the good.

Perfection would be to remove the redundant flags, which is hard, failing that removing the docs would be nice and not so hard, failing that, we can make no changes in regards to these flags.  I can do the bugs to remove the docs within a couple of hours if we decide to do that for 1.15, otherwise I think it would be a waste of my time.
(In reply to Erik Vold [:erikvold] [:ztatic] from comment #8)
> (In reply to Jeff Griffiths (:canuckistani) from comment #7)
> > Erik - the conclusion of the scoping discussion yesterday was that we would
> > only invert the default behaviour. Given that, is it really important these
> > are removed?
> > 
> > I realize these are very trivial changes - just making sure we're doing the
> > minimum possible amount of work so we can turn around a release as quickly
> > as possible.
> 
> Just making sure we understand what it is that we are leaving out.  I am
> being a perfectionist, but I don't want to be made the enemy of the good.
> 
> Perfection would be to remove the redundant flags, which is hard, failing
> that removing the docs would be nice and not so hard, failing that, we can
> make no changes in regards to these flags.  I can do the bugs to remove the
> docs within a couple of hours if we decide to do that for 1.15, otherwise I
> think it would be a waste of my time.

Sorry for the late reply - I agree it's a good idea to remove the docs.

Comment 10

5 years ago
I'm really hoping for this to get released so that we have support for setting the min and max version for our extension

Comment 11

5 years ago
Any update on the release of a potential 1.15 SDK?
(In reply to Ben McCann from comment #11)
> Any update on the release of a potential 1.15 SDK?

As sooon as we can - we had some technical issues to work through, then we had a bunch of vacation time for people. It's Sept, we're back at school, let's do it.

Updated

5 years ago
Depends on: 920346
I don't think we should block this on removing the docs. Making this release soon is important. Removing the docs does not make it substantially more useful and just delays it.
Alias: sdk-1.15
Update on progress, on the slowest release bug ever. The current state is, once we uplift the current state of the SDK repo on github to Mozilla Central, we will take that same cut and release SDK 1.15 Betas 1, hopefully this week. The main feature of this version will be that it no longer includes the SDK modules by default.

Updated

5 years ago
Depends on: 941933
Depends on: 945904
Depends on: 948552
Duplicate of this bug: 885448
Is this not done?
Flags: needinfo?(jgriffiths)
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Flags: needinfo?(jgriffiths)
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.